#include <LiquidCrystal.h>  
unsigned long counts;
unsigned long previousMillis;
float dose;
float dosecounts;
const int rs = 10, en = 11, d4 = 9, d5 = 8, d6 = 7, d7 = 6;
LiquidCrystal lcd(rs, en, d4, d5, d6, d7);
void impulse() 

{ 
counts++;
tone(12, 6000, 25);
}

#define LOG_PERIOD 60000 
void setup() 
{ 
  counts = 0;
  Serial.begin(9600);
  pinMode(2, INPUT);
  attachInterrupt(digitalPinToInterrupt(2), impulse, RISING);
  Serial.println("Start counter");
}

void loop() 
{
  unsigned long currentMillis = millis();
  if (currentMillis - previousMillis > LOG_PERIOD) {
  previousMillis = currentMillis;
  dosecounts = counts;
  dose = dosecounts/1641; //1641 cpm/uSv/Hr for SBT-10A
  Serial.println(counts);
  Serial.println(dose);
  lcd.setCursor(0, 1);
  lcd.print(dose);
  counts = 0;
}

}
